Bug 1564731 - [abrt] optc1_lock: WARNING: CPU: 0 PID: 1876 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:195 generic_reg_wait+0xf3/0x170 [amdgpu] [amdgpu] [NEEDINFO]
Summary: [abrt] optc1_lock: WARNING: CPU: 0 PID: 1876 at drivers/gpu/drm/amd/amdgpu/.....
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6fba1aa97c35948dbfeec98006a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-07 07:17 UTC by shirokuro005
Modified: 2018-11-26 21:05 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 21:05:20 UTC
Type: ---
jforbes: needinfo?
labbott: needinfo? (shirokuro005)


Attachments (Terms of Use)
File: dmesg (86.97 KB, text/plain)
2018-04-07 07:17 UTC, shirokuro005
no flags Details

Description shirokuro005 2018-04-07 07:17:20 UTC
Additional info:
reporter:       libreport-2.9.4
WARNING: CPU: 0 PID: 1876 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:195 generic_reg_wait+0xf3/0x170 [amdgpu]
Modules linked in: uas usb_storage fuse xt_CHECKSUM tun devlink arc4 md4 nls_utf8 cifs ccm dns_resolver fscache nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat edac_mce_amd kvm_amd ccp kvm wmi_bmof irqbypass crct10dif_pclmul crc32_pclmul snd_hda_codec_realtek ghash_clmulni_intel snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep joydev
 snd_seq snd_seq_device sp5100_tco snd_pcm i2c_piix4 snd_timer snd soundcore shpchp wmi video acpi_cpufreq amdkfd amd_iommu_v2 amdgpu chash i2c_algo_bit gpu_sched drm_kms_helper ttm crc32c_intel drm r8169 mii
CPU: 0 PID: 1876 Comm: gnome-shell Not tainted 4.16.0-300.fc28.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./X370 Pro4, BIOS P4.50 01/24/2018
RIP: 0010:generic_reg_wait+0xf3/0x170 [amdgpu]
RSP: 0018:ffffa3f9c3b7f948 EFLAGS: 00010297
RAX: 0000000000000229 RBX: 0000000000000001 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff94911ec168f8 RDI: ffff94911ec168f8
RBP: ffff949102931a80 R08: 0000000000000005 R09: 0000000000000458
R10: 0000000000000001 R11: ffffffff989711ed R12: 000000000000000b
R13: 000000000000504d R14: 0000000000000100 R15: 0000000000000001
FS:  00007f0e9ed5af80(0000) GS:ffff94911ec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f0e212a3010 CR3: 00000003f50b6000 CR4: 00000000003406f0
Call Trace:
 optc1_lock+0xa0/0xb0 [amdgpu]
 dcn10_apply_ctx_for_surface+0xdf/0x13f0 [amdgpu]
 ? __alloc_pages_nodemask+0x11e/0x2b0
 ? free_one_page+0x3d6/0x510
 dc_commit_state+0x262/0x560 [amdgpu]
 ? mod_freesync_set_user_enable+0x11b/0x150 [amdgpu]
 amdgpu_dm_atomic_commit_tail+0x373/0xd90 [amdgpu]
 ? amdgpu_bo_pin_restricted+0x1cb/0x2c0 [amdgpu]
 ? _cond_resched+0x15/0x30
 ? wait_for_completion_timeout+0x3a/0x190
 ? wait_for_completion_interruptible+0x35/0x1d0
 commit_tail+0x3d/0x70 [drm_kms_helper]
 drm_atomic_helper_commit+0x103/0x110 [drm_kms_helper]
 drm_atomic_connector_commit_dpms+0xdb/0x100 [drm]
 drm_mode_obj_set_property_ioctl+0x178/0x280 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 drm_ioctl_kernel+0x5b/0xb0 [drm]
 drm_ioctl+0x1c0/0x380 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 ? eventfd_read+0xe6/0x290
 amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
 do_vfs_ioctl+0xa4/0x610
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: d9 48 c7 c2 08 90 50 c0 48 c7 c7 11 0c 51 c0 50 4c 8b 4c 24 58 44 8b 44 24 50 e8 39 e9 dc ff 83 7d 20 01 58 44 8b 54 24 08 74 02 <0f> 0b 48 83 c4 10 44 89 d0 5b 5d 41 5c 41 5d 41 5e 41 5f c3 41

Comment 1 shirokuro005 2018-04-07 07:17:37 UTC
Created attachment 1418506 [details]
File: dmesg

Comment 2 shirokuro005 2018-04-07 23:58:55 UTC
Description of problem:
recovory from display power save

Version-Release number of selected component:
kernel-core-4.16.0-300.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.0-300.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=UUID=a9ecf742-4f9c-4e74-a03f-2d6ab5248f9b rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=ja_JP.UTF-8
crash_function: optc1_lock
kernel:         4.16.0-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1864 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:195 generic_reg_wait+0xf3/0x170 [amdgpu]
Modules linked in: fuse xt_CHECKSUM tun devlink arc4 md4 nls_utf8 cifs ccm dns_resolver fscache nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat edac_mce_amd kvm_amd ccp kvm snd_hda_codec_realtek snd_hda_codec_generic irqbypass snd_hda_codec_hdmi crct10dif_pclmul wmi_bmof crc32_pclmul snd_hda_intel ghash_clmulni_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device
 snd_pcm sp5100_tco snd_timer i2c_piix4 snd soundcore joydev video wmi shpchp acpi_cpufreq amdkfd amd_iommu_v2 amdgpu chash i2c_algo_bit gpu_sched drm_kms_helper ttm drm crc32c_intel r8169 mii
CPU: 0 PID: 1864 Comm: gnome-shell Not tainted 4.16.0-300.fc28.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./X370 Pro4, BIOS P4.50 01/24/2018
RIP: 0010:generic_reg_wait+0xf3/0x170 [amdgpu]
RSP: 0018:ffffa8604ab63948 EFLAGS: 00010297
RAX: 0000000000000229 RBX: 0000000000000001 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff99751ec168f8 RDI: ffff99751ec168f8
RBP: ffff99750d431800 R08: 0000000000000004 R09: 0000000000000438
R10: 0000000000000001 R11: ffffffff9a9711ed R12: 000000000000000b
R13: 000000000000504d R14: 0000000000000100 R15: 0000000000000001
FS:  00007f5e67924f80(0000) GS:ffff99751ec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f5d9e484000 CR3: 00000003f4006000 CR4: 00000000003406f0
Call Trace:
 optc1_lock+0xa0/0xb0 [amdgpu]
 dcn10_apply_ctx_for_surface+0xdf/0x13f0 [amdgpu]
 ? __alloc_pages_nodemask+0x11e/0x2b0
 ? free_one_page+0x3d6/0x510
 dc_commit_state+0x262/0x560 [amdgpu]
 ? mod_freesync_set_user_enable+0x11b/0x150 [amdgpu]
 amdgpu_dm_atomic_commit_tail+0x373/0xd90 [amdgpu]
 ? amdgpu_bo_pin_restricted+0x1cb/0x2c0 [amdgpu]
 ? _cond_resched+0x15/0x30
 ? wait_for_completion_timeout+0x3a/0x190
 ? wait_for_completion_interruptible+0x35/0x1d0
 commit_tail+0x3d/0x70 [drm_kms_helper]
 drm_atomic_helper_commit+0x103/0x110 [drm_kms_helper]
 drm_atomic_connector_commit_dpms+0xdb/0x100 [drm]
 drm_mode_obj_set_property_ioctl+0x178/0x280 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 drm_ioctl_kernel+0x5b/0xb0 [drm]
 drm_ioctl+0x1c0/0x380 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 ? eventfd_read+0xe6/0x290
 amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
 do_vfs_ioctl+0xa4/0x610
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: d9 48 c7 c2 08 40 49 c0 48 c7 c7 11 bc 49 c0 50 4c 8b 4c 24 58 44 8b 44 24 50 e8 39 29 dd ff 83 7d 20 01 58 44 8b 54 24 08 74 02 <0f> 0b 48 83 c4 10 44 89 d0 5b 5d 41 5c 41 5d 41 5e 41 5f c3 41

Comment 3 Jorge Martínez López 2018-05-06 15:13:09 UTC
Same here with 4.16.6-302.fc28.x86_64 (reverse order):

May 06 11:23:16  kernel: ---[ end trace 8826ac26b2621b49 ]---
May 06 11:23:16  kernel: Code: d9 48 c7 c2 e8 50 81 c0 48 c7 c7 f4 cc 81 c0 50 4c 8b 4c 24 58 44 8b 44 24 50 e8 e9 08 d0 ff 83 7d 20 01 58 44 >
May 06 11:23:16  kernel:  ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
May 06 11:23:16  kernel:  do_syscall_64+0x74/0x180
May 06 11:23:16  kernel:  SyS_ioctl+0x74/0x80
May 06 11:23:16  kernel:  do_vfs_ioctl+0xa4/0x610
May 06 11:23:16  kernel:  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
May 06 11:23:16  kernel:  ? eventfd_read+0xe6/0x290
May 06 11:23:16  kernel:  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
May 06 11:23:16  kernel:  drm_ioctl+0x1c0/0x380 [drm]
May 06 11:23:16  kernel:  drm_ioctl_kernel+0x5b/0xb0 [drm]
May 06 11:23:16  kernel:  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
May 06 11:23:16  kernel:  drm_mode_obj_set_property_ioctl+0x178/0x280 [drm]
May 06 11:23:16  kernel:  drm_atomic_connector_commit_dpms+0xdb/0x100 [drm]
May 06 11:23:16  kernel:  drm_atomic_helper_commit+0x103/0x110 [drm_kms_helper]
May 06 11:23:16  kernel:  commit_tail+0x3d/0x70 [drm_kms_helper]
May 06 11:23:16  kernel:  ? wait_for_completion_interruptible+0x35/0x1d0
May 06 11:23:16  kernel:  ? wait_for_completion_timeout+0x3a/0x190
May 06 11:23:16  kernel:  ? _cond_resched+0x15/0x30
May 06 11:23:16  kernel:  ? amdgpu_bo_pin_restricted+0x1cb/0x2c0 [amdgpu]
May 06 11:23:16  kernel:  amdgpu_dm_atomic_commit_tail+0x373/0xd90 [amdgpu]
May 06 11:23:16  kernel:  ? mod_freesync_set_user_enable+0x11b/0x150 [amdgpu]
May 06 11:23:16  kernel:  dc_commit_state+0x262/0x560 [amdgpu]
May 06 11:23:16  kernel:  ? free_one_page+0x3d6/0x510
May 06 11:23:16  kernel:  ? __alloc_pages_nodemask+0x11e/0x2b0
May 06 11:23:16  kernel:  dcn10_apply_ctx_for_surface+0xdf/0x13f0 [amdgpu]
May 06 11:23:16  kernel:  optc1_lock+0xa0/0xb0 [amdgpu]
May 06 11:23:16  kernel: Call Trace:
May 06 11:23:16  kernel: CR2: 00007f4bf9d24000 CR3: 00000003c9692000 CR4: 00000000003406e0
May 06 11:23:16  kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May 06 11:23:16  kernel: FS:  00007f4c10b64280(0000) GS:ffff9a114f380000(0000) knlGS:0000000000000000
May 06 11:23:16  kernel: R13: 000000000000504d R14: 0000000000000100 R15: 0000000000000001
May 06 11:23:16  kernel: R10: 0000000000000001 R11: ffffffff9d9711ed R12: 000000000000000b
May 06 11:23:16  kernel: RBP: ffff9a114cfeb480 R08: 0000000000000005 R09: 00000000000004a9
May 06 11:23:16  kernel: RDX: 0000000000000000 RSI: ffff9a114f3968f8 RDI: ffff9a114f3968f8
May 06 11:23:16  kernel: RAX: 0000000000000229 RBX: 0000000000000001 RCX: 0000000000000000
May 06 11:23:16  kernel: RSP: 0018:ffffb21508e87948 EFLAGS: 00010297
May 06 11:23:16  kernel: RIP: 0010:generic_reg_wait+0xf3/0x170 [amdgpu]
May 06 11:23:16  kernel: Hardware name: System manufacturer System Product Name/ROG STRIX X370-F GAMING, BIOS 4009 04/14/2018
May 06 11:23:16  kernel: CPU: 6 PID: 2057 Comm: gnome-shell Not tainted 4.16.6-302.fc28.x86_64 #1
May 06 11:23:16  kernel:  videobuf2_common videodev snd_hda_intel irqbypass snd_usb_audio crct10dif_pclmul snd_hda_codec crc32_pclmul snd_usbm>
May 06 11:23:16  kernel: Modules linked in: uhid rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns>
May 06 11:23:16  kernel: WARNING: CPU: 6 PID: 2057 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:195 generic_reg_wait+0xf3/0x170 [am>
May 06 11:23:16  kernel: [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 1us * 10 tries - optc1_lock line:553

Comment 4 Jorge Martínez López 2018-05-06 15:15:52 UTC
And this one just after trying to unlock my computer (screen off, not sleeping):

May 06 15:58:04  kernel: [drm:dc_rem_all_planes_for_stream [amdgpu]] *ERROR* Existing stream 000000007b36974e not found!
May 06 15:58:04  kernel: [drm:dc_rem_all_planes_for_stream [amdgpu]] *ERROR* Existing stream 000000007b36974e not found!
May 06 15:58:04  kernel: ---[ end trace 8826ac26b2621b4a ]---
May 06 15:58:04  kernel: Code: d9 48 c7 c2 e8 50 81 c0 48 c7 c7 f4 cc 81 c0 50 4c 8b 4c 24 58 44 8b 44 24 50 e8 e9 08 d0 ff 83 7d 20 01 58 44 >
May 06 15:58:04  kernel:  ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
May 06 15:58:04  kernel:  do_syscall_64+0x74/0x180
May 06 15:58:04  kernel:  SyS_ioctl+0x74/0x80
May 06 15:58:04  kernel:  do_vfs_ioctl+0xa4/0x610
May 06 15:58:04  kernel:  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
May 06 15:58:04  kernel:  ? eventfd_read+0xe6/0x290
May 06 15:58:04  kernel:  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
May 06 15:58:04  kernel:  drm_ioctl+0x1c0/0x380 [drm]
May 06 15:58:04  kernel:  drm_ioctl_kernel+0x5b/0xb0 [drm]
May 06 15:58:04  kernel:  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
May 06 15:58:04  kernel:  drm_mode_obj_set_property_ioctl+0x178/0x280 [drm]
May 06 15:58:04  kernel:  drm_atomic_connector_commit_dpms+0xdb/0x100 [drm]
May 06 15:58:04  kernel:  drm_atomic_helper_commit+0x103/0x110 [drm_kms_helper]
May 06 15:58:04  kernel:  commit_tail+0x3d/0x70 [drm_kms_helper]
May 06 15:58:04  kernel:  ? wait_for_completion_interruptible+0x35/0x1d0
May 06 15:58:04  kernel:  ? wait_for_completion_timeout+0x3a/0x190
May 06 15:58:04  kernel:  ? _cond_resched+0x15/0x30
May 06 15:58:04  kernel:  ? amdgpu_bo_pin_restricted+0x1cb/0x2c0 [amdgpu]
May 06 15:58:04  kernel:  amdgpu_dm_atomic_commit_tail+0x373/0xd90 [amdgpu]
May 06 15:58:04  kernel:  ? mod_freesync_set_user_enable+0x11b/0x150 [amdgpu]
May 06 15:58:04  kernel:  dc_commit_state+0x262/0x560 [amdgpu]
May 06 15:58:04  kernel:  ? free_one_page+0x3d6/0x510
May 06 15:58:04  kernel:  ? drm_printk+0xb5/0xc0 [drm]
May 06 15:58:04  kernel:  ? dc_rem_all_planes_for_stream+0x92/0x140 [amdgpu]
May 06 15:58:04  kernel:  dcn10_apply_ctx_for_surface+0xdf/0x13f0 [amdgpu]
May 06 15:58:04  kernel:  optc1_lock+0xa0/0xb0 [amdgpu]
May 06 15:58:04  kernel: Call Trace:
May 06 15:58:04  kernel: CR2: 00007fa580d96000 CR3: 00000003c9692000 CR4: 00000000003406e0
May 06 15:58:04  kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May 06 15:58:04  kernel: FS:  00007f4c10b64280(0000) GS:ffff9a114f380000(0000) knlGS:0000000000000000
May 06 15:58:04  kernel: R13: 000000000000504d R14: 0000000000000100 R15: 0000000000000001
May 06 15:58:04  kernel: R10: 0000000000000001 R11: ffffffff9d9711ed R12: 000000000000000b
May 06 15:58:04  kernel: RBP: ffff9a114cfeb480 R08: 0000000000000005 R09: 00000000000004d6
May 06 15:58:04  kernel: RDX: 0000000000000000 RSI: 0000000000000086 RDI: ffff9a114f3968f0
May 06 15:58:04  kernel: RAX: 0000000000000229 RBX: 0000000000000001 RCX: 0000000000000006
May 06 15:58:04  kernel: RSP: 0018:ffffb21508e87948 EFLAGS: 00010297
May 06 15:58:04  kernel: RIP: 0010:generic_reg_wait+0xf3/0x170 [amdgpu]
May 06 15:58:04  kernel: Hardware name: System manufacturer System Product Name/ROG STRIX X370-F GAMING, BIOS 4009 04/14/2018
May 06 15:58:04  kernel: CPU: 6 PID: 2057 Comm: gnome-shell Tainted: G        W        4.16.6-302.fc28.x86_64 #1
May 06 15:58:04  kernel:  videobuf2_common videodev snd_hda_intel irqbypass snd_usb_audio crct10dif_pclmul snd_hda_codec crc32_pclmul snd_usbm>
May 06 15:58:04  kernel: Modules linked in: uhid rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns>
May 06 15:58:04  kernel: WARNING: CPU: 6 PID: 2057 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:195 generic_reg_wait+0xf3/0x170 [am>
May 06 15:58:04  kernel: [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 1us * 10 tries - optc1_lock line:553
May 06 15:58:04  kernel: [drm:dc_rem_all_planes_for_stream [amdgpu]] *ERROR* Existing stream 000000007b36974e not found!

Comment 5 gmon.monis 2018-05-24 10:13:07 UTC
Description of problem:
Happened whilst I was not at my computer, cannot see any problems in using the system now. However, at other times, computer freezes randomly and is unresponsive until reboot; those crashes have not been caught by abrt, maybe these are related.

Version-Release number of selected component:
kernel-core-4.16.10-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.10-300.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=de_DE.UTF-8
crash_function: optc1_lock
kernel:         4.16.10-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 7 PID: 1893 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:195 generic_reg_wait+0xf3/0x170 [amdgpu]
Modules linked in: fuse rfcomm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ccm xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat arc4 snd_hda_codec_realtek uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_hda_codec_generic snd_hda_codec_hdmi btusb videobuf2_common btrtl snd_hda_intel snd_hda_codec btbcm videodev btintel snd_hda_core edac_mce_amd
 bluetooth snd_hwdep kvm_amd media rtsx_usb_ms snd_seq snd_seq_device memstick ath10k_pci ecdh_generic hid_multitouch cdc_acm ath10k_core ccp snd_pcm kvm mac80211 wmi_bmof dell_wmi sparse_keymap ath cfg80211 snd_timer irqbypass snd crct10dif_pclmul soundcore crc32_pclmul ghash_clmulni_intel dell_laptop dell_smbios dell_wmi_descriptor sp5100_tco dcdbas joydev shpchp dell_smm_hwmon k10temp i2c_piix4 wmi dell_rbtn tpm_crb tpm_tis tpm_tis_core tpm video pinctrl_amd acpi_cpufreq rfkill amdkfd amd_iommu_v2 amdgpu rtsx_usb_sdmmc mmc_core chash i2c_algo_bit gpu_sched drm_kms_helper ttm crc32c_intel drm serio_raw rtsx_usb r8169 mii i2c_hid
CPU: 7 PID: 1893 Comm: gnome-shell Not tainted 4.16.10-300.fc28.x86_64 #1
Hardware name: Dell Inc. Inspiron 5575/0M0Y6P, BIOS 1.0.7 01/22/2018
RIP: 0010:generic_reg_wait+0xf3/0x170 [amdgpu]
RSP: 0018:ffff9a16888cf948 EFLAGS: 00010297
RAX: 0000000000000229 RBX: 0000000000000001 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff8ea8e6bd68f8 RDI: ffff8ea8e6bd68f8
RBP: ffff8ea8dc0b4200 R08: 0000000000000005 R09: 0000000000000439
R10: 0000000000000001 R11: ffffffff8e9731ed R12: 000000000000000b
R13: 000000000000504d R14: 0000000000000100 R15: 0000000000000001
FS:  00007f135192d280(0000) GS:ffff8ea8e6bc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f4dd39fe000 CR3: 00000001e852c000 CR4: 00000000003406e0
Call Trace:
 optc1_lock+0xa0/0xb0 [amdgpu]
 dcn10_apply_ctx_for_surface+0xdf/0x13f0 [amdgpu]
 ? amdgpu_mm_rreg+0xd8/0xe0 [amdgpu]
 dc_commit_state+0x262/0x560 [amdgpu]
 ? mod_freesync_set_user_enable+0x11b/0x150 [amdgpu]
 amdgpu_dm_atomic_commit_tail+0x373/0xd90 [amdgpu]
 ? amdgpu_bo_pin_restricted+0x1cb/0x2c0 [amdgpu]
 ? _cond_resched+0x15/0x30
 ? wait_for_completion_timeout+0x3a/0x190
 ? wait_for_completion_interruptible+0x35/0x1d0
 commit_tail+0x3d/0x70 [drm_kms_helper]
 drm_atomic_helper_commit+0x103/0x110 [drm_kms_helper]
 drm_atomic_connector_commit_dpms+0xdb/0x100 [drm]
 drm_mode_obj_set_property_ioctl+0x178/0x280 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 drm_ioctl_kernel+0x5b/0xb0 [drm]
 drm_ioctl+0x1c0/0x380 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 ? eventfd_read+0xe6/0x290
 amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
 do_vfs_ioctl+0xa4/0x610
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: d9 48 c7 c2 90 31 45 c0 48 c7 c7 9c ad 45 c0 50 4c 8b 4c 24 58 44 8b 44 24 50 e8 c9 a8 d8 ff 83 7d 20 01 58 44 8b 54 24 08 74 02 <0f> 0b 48 83 c4 10 44 89 d0 5b 5d 41 5c 41 5d 41 5e 41 5f c3 41

Comment 6 gmon.monis 2018-06-19 05:38:33 UTC
Description of problem:
Wake up from stand-by.

Version-Release number of selected component:
kernel-core-4.16.15-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.15-300.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=de_DE.UTF-8-
crash_function: optc1_lock
kernel:         4.16.15-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1961 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:195 generic_reg_wait+0xf3/0x170 [amdgpu]
Modules linked in: fuse rfcomm ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 devlink xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat arc4 edac_mce_amd snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi kvm_amd ccp kvm snd_hda_intel rtsx_usb_ms snd_hda_codec uvcvideo irqbypass videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common snd_hda_core
 snd_hwdep dell_wmi sparse_keymap snd_seq videodev snd_seq_device memstick crct10dif_pclmul cdc_acm media hid_multitouch crc32_pclmul wmi_bmof snd_pcm ghash_clmulni_intel btusb btrtl snd_timer btbcm ath10k_pci ath10k_core btintel snd mac80211 bluetooth ecdh_generic ath cfg80211 dell_laptop dell_smbios dell_wmi_descriptor dcdbas soundcore dell_smm_hwmon tpm_crb shpchp tpm_tis tpm_tis_core sp5100_tco i2c_piix4 joydev tpm dell_rbtn pinctrl_amd wmi acpi_cpufreq video rfkill k10temp amdkfd amd_iommu_v2 amdgpu chash i2c_algo_bit gpu_sched rtsx_usb_sdmmc drm_kms_helper mmc_core ttm crc32c_intel drm serio_raw rtsx_usb r8169 mii i2c_hid
CPU: 0 PID: 1961 Comm: gnome-shell Not tainted 4.16.15-300.fc28.x86_64 #1
Hardware name: Dell Inc. Inspiron 5575/0M0Y6P, BIOS 1.0.7 01/22/2018
RIP: 0010:generic_reg_wait+0xf3/0x170 [amdgpu]
RSP: 0018:ffff9f1383357948 EFLAGS: 00010297
RAX: 0000000000000229 RBX: 0000000000000001 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff8ea6a6a16938 RDI: ffff8ea6a6a16938
RBP: ffff8ea69c14f480 R08: 0000000000000005 R09: 00000000000004b3
R10: 0000000000000001 R11: ffffffff9e96d1ed R12: 000000000000000b
R13: 000000000000504d R14: 0000000000000100 R15: 0000000000000001
FS:  00007f6abe78d280(0000) GS:ffff8ea6a6a00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fa63d37a390 CR3: 00000001e233a000 CR4: 00000000003406f0
Call Trace:
 optc1_lock+0xa0/0xb0 [amdgpu]
 dcn10_apply_ctx_for_surface+0xdf/0x13f0 [amdgpu]
 ? __alloc_pages_nodemask+0x11e/0x2b0
 ? free_one_page+0x3d6/0x510
 dc_commit_state+0x262/0x560 [amdgpu]
 ? mod_freesync_set_user_enable+0x11b/0x150 [amdgpu]
 amdgpu_dm_atomic_commit_tail+0x373/0xd90 [amdgpu]
 ? amdgpu_bo_pin_restricted+0x1cb/0x2c0 [amdgpu]
 ? _cond_resched+0x15/0x30
 ? wait_for_completion_timeout+0x3a/0x190
 ? wait_for_completion_interruptible+0x35/0x1d0
 commit_tail+0x3d/0x70 [drm_kms_helper]
 drm_atomic_helper_commit+0x103/0x110 [drm_kms_helper]
 drm_atomic_connector_commit_dpms+0xdb/0x100 [drm]
 drm_mode_obj_set_property_ioctl+0x178/0x280 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 drm_ioctl_kernel+0x5b/0xb0 [drm]
 drm_ioctl+0x1c0/0x380 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 ? eventfd_read+0xe6/0x290
 amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
 do_vfs_ioctl+0xa4/0x610
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7f6abb806df7
RSP: 002b:00007ffe4e9679e8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 0000560c2825ee50 RCX: 00007f6abb806df7
RDX: 00007ffe4e967a20 RSI: 00000000c01864ba RDI: 000000000000000b
RBP: 00007ffe4e967a20 R08: 0000000000000000 R09: 0000560c24f709b0
R10: 0000560c24f64b18 R11: 0000000000000246 R12: 00000000c01864ba
R13: 000000000000000b R14: 00007ffe4e967c20 R15: 00007f6abdb9bbe0
Code: d9 48 c7 c2 40 61 4f c0 48 c7 c7 45 dd 4f c0 50 4c 8b 4c 24 58 44 8b 44 24 50 e8 49 18 dc ff 83 7d 20 01 58 44 8b 54 24 08 74 02 <0f> 0b 48 83 c4 10 44 89 d0 5b 5d 41 5c 41 5d 41 5e 41 5f c3 41

Comment 7 Justin M. Forbes 2018-07-23 15:06:29 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 8 Kevin Tang 2018-08-14 21:18:31 UTC
Description of problem:
I left my computer with the terminal updating the system with dnf

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=UUID=c3a24765-e91c-4907-89eb-587889b7312a ro resume=UUID=48a6b8de-4afc-4b9c-99ff-2f1f4a84fb63 rhgb quiet LANG=en_GB.UTF-8
crash_function: optc1_lock
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 1685 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:195 generic_reg_wait+0xf3/0x170 [amdgpu]
Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables fuse devlink ip_set nfnetlink bridge stp llc libcrc32c sunrpc vfat fat wmi_bmof edac_mce_amd ccp kvm uvcvideo snd_hda_codec_realtek videobuf2_vmalloc snd_hda_codec_generic snd_hda_codec_hdmi irqbypass crct10dif_pclmul crc32_pclmul snd_usb_audio videobuf2_memops snd_hda_intel videobuf2_v4l2 videobuf2_common snd_hda_codec
 ghash_clmulni_intel snd_usbmidi_lib videodev snd_rawmidi snd_hda_core media snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore sp5100_tco shpchp i2c_piix4 video wmi acpi_cpufreq amdkfd amd_iommu_v2 amdgpu chash i2c_algo_bit gpu_sched drm_kms_helper ttm drm crc32c_intel r8169 mii [last unloaded: ip6_tables]
CPU: 4 PID: 1685 Comm: gnome-shell Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. A320M-S2H/A320M-S2H-CF, BIOS F23d 04/17/2018
RIP: 0010:generic_reg_wait+0xf3/0x170 [amdgpu]
RSP: 0018:ffffa1e888607948 EFLAGS: 00010297
RAX: 0000000000000229 RBX: 0000000000000001 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff90ff1ed168f8 RDI: ffff90ff1ed168f8
RBP: ffff90ff08225400 R08: 0000000000000005 R09: 000000000000043b
R10: 0000000000000001 R11: ffffffffa09711ed R12: 000000000000000b
R13: 000000000000504d R14: 0000000000000100 R15: 0000000000000001
FS:  00007fa03913b280(0000) GS:ffff90ff1ed00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000071c9ca90000 CR3: 00000003d399e000 CR4: 00000000003406e0
Call Trace:
 optc1_lock+0xa0/0xb0 [amdgpu]
 dcn10_apply_ctx_for_surface+0xdf/0x13f0 [amdgpu]
 ? __alloc_pages_nodemask+0x11e/0x2b0
 ? free_one_page+0x3d6/0x510
 dc_commit_state+0x262/0x560 [amdgpu]
 ? mod_freesync_set_user_enable+0x11b/0x150 [amdgpu]
 amdgpu_dm_atomic_commit_tail+0x373/0xd90 [amdgpu]
 ? amdgpu_bo_pin_restricted+0x1cb/0x2c0 [amdgpu]
 ? _cond_resched+0x15/0x30
 ? wait_for_completion_timeout+0x3a/0x190
 ? wait_for_completion_interruptible+0x35/0x1d0
 commit_tail+0x3d/0x70 [drm_kms_helper]
 drm_atomic_helper_commit+0x103/0x110 [drm_kms_helper]
 drm_atomic_connector_commit_dpms+0xdb/0x100 [drm]
 drm_mode_obj_set_property_ioctl+0x178/0x280 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 drm_ioctl_kernel+0x5b/0xb0 [drm]
 drm_ioctl+0x1c0/0x380 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 ? eventfd_read+0xe6/0x290
 amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
 do_vfs_ioctl+0xa4/0x610
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: d9 48 c7 c2 08 20 7c c0 48 c7 c7 11 9c 7c c0 50 4c 8b 4c 24 58 44 8b 44 24 50 e8 39 e9 d8 ff 83 7d 20 01 58 44 8b 54 24 08 74 02 <0f> 0b 48 83 c4 10 44 89 d0 5b 5d 41 5c 41 5d 41 5e 41 5f c3 41

Comment 9 Laura Abbott 2018-10-01 21:20:00 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 10 Laura Abbott 2018-11-26 21:05:20 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and let us know if the bug is still present on the latest kernel.

(Please note: sometimes bugs get mistakenly closed during our mass closing. If you think your bug was closed in error please reopen)


Note You need to log in before you can comment on or make changes to this bug.